Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -137,5 +140,5 @@
                nbgp, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,    &
                topo_top_ind,                                                  &
-               wall_flags_0
+               wall_flags_static_0
 
     USE kinds
@@ -923,5 +926,5 @@
                 local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
                                          REAL( fill_value, KIND = wp ),        &
-                                         BTEST( wall_flags_0(k,j,i), flag_nr ) )
+                                         BTEST( wall_flags_static_0(k,j,i), flag_nr ) )
              ENDDO
           ENDDO
@@ -1019,5 +1022,5 @@
                                    to_be_resorted(k,j,i),                &
                                    REAL( fill_value, KIND = wp ),        &
-                                   BTEST( wall_flags_0(k,j,i), flag_nr ) )
+                                   BTEST( wall_flags_static_0(k,j,i), flag_nr ) )
              ENDDO
           ENDDO
@@ -1308,5 +1311,5 @@
                 DO  k = nzb, nzt
                    e(k,j,i)     = MERGE( e(k,j,i), 0.0_wp,                     &
-                                         BTEST( wall_flags_0(k,j,i), 0 ) )
+                                         BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 ENDDO
              ENDDO
@@ -1318,5 +1321,5 @@
                    DO  k = nzb, nzt
                       diss(k,j,i)    = MERGE( diss(k,j,i), 0.0_wp,             &
-                                              BTEST( wall_flags_0(k,j,i), 0 ) )
+                                              BTEST( wall_flags_static_0(k,j,i), 0 ) )
                    ENDDO
                 ENDDO
@@ -1364,5 +1367,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb,  &
-               nzt, wall_flags_0
+               nzt, wall_flags_static_0
 
     USE kinds
@@ -1438,28 +1441,28 @@
 !
 !--                Check if current gridpoint belongs to the atmosphere
-                   IF ( BTEST( wall_flags_0(k,j,i), 0 ) )  THEN
+                   IF ( BTEST( wall_flags_static_0(k,j,i), 0 ) )  THEN
 !
 !--                   Check for neighbouring grid-points.
 !--                   Vertical distance, down
-                      IF ( .NOT. BTEST( wall_flags_0(k-1,j,i), 0 ) )             &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k-1,j,i), 0 ) )             &
                          l_wall(k,j,i) = MIN( l_grid(k), zu(k) - zw(k-1) )
 !
 !--                   Vertical distance, up
-                      IF ( .NOT. BTEST( wall_flags_0(k+1,j,i), 0 ) )             &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k+1,j,i), 0 ) )             &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k), zw(k) - zu(k) )
 !
 !--                   y-distance
-                      IF ( .NOT. BTEST( wall_flags_0(k,j-1,i), 0 )  .OR.         &
-                           .NOT. BTEST( wall_flags_0(k,j+1,i), 0 ) )             &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k,j-1,i), 0 )  .OR.         &
+                           .NOT. BTEST( wall_flags_static_0(k,j+1,i), 0 ) )             &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k), 0.5_wp * dy )
 !
 !--                   x-distance
-                      IF ( .NOT. BTEST( wall_flags_0(k,j,i-1), 0 )  .OR.         &
-                           .NOT. BTEST( wall_flags_0(k,j,i+1), 0 ) )             &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k,j,i-1), 0 )  .OR.         &
+                           .NOT. BTEST( wall_flags_static_0(k,j,i+1), 0 ) )             &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k), 0.5_wp * dx )
 !
 !--                   yz-distance (vertical edges, down)
-                      IF ( .NOT. BTEST( wall_flags_0(k-1,j-1,i), 0 )  .OR.       &
-                           .NOT. BTEST( wall_flags_0(k-1,j+1,i), 0 )  )          &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k-1,j-1,i), 0 )  .OR.       &
+                           .NOT. BTEST( wall_flags_static_0(k-1,j+1,i), 0 )  )          &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k),          &
                                               SQRT( 0.25_wp * dy**2 +            &
@@ -1467,6 +1470,6 @@
 !
 !--                   yz-distance (vertical edges, up)
-                      IF ( .NOT. BTEST( wall_flags_0(k+1,j-1,i), 0 )  .OR.       &
-                           .NOT. BTEST( wall_flags_0(k+1,j+1,i), 0 )  )          &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k+1,j-1,i), 0 )  .OR.       &
+                           .NOT. BTEST( wall_flags_static_0(k+1,j+1,i), 0 )  )          &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k),          &
                                               SQRT( 0.25_wp * dy**2 +            &
@@ -1474,6 +1477,6 @@
 !
 !--                   xz-distance (vertical edges, down)
-                      IF ( .NOT. BTEST( wall_flags_0(k-1,j,i-1), 0 )  .OR.       &
-                           .NOT. BTEST( wall_flags_0(k-1,j,i+1), 0 )  )          &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k-1,j,i-1), 0 )  .OR.       &
+                           .NOT. BTEST( wall_flags_static_0(k-1,j,i+1), 0 )  )          &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k),          &
                                               SQRT( 0.25_wp * dx**2 +            &
@@ -1481,6 +1484,6 @@
 !
 !--                   xz-distance (vertical edges, up)
-                      IF ( .NOT. BTEST( wall_flags_0(k+1,j,i-1), 0 )  .OR.       &
-                           .NOT. BTEST( wall_flags_0(k+1,j,i+1), 0 )  )          &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k+1,j,i-1), 0 )  .OR.       &
+                           .NOT. BTEST( wall_flags_static_0(k+1,j,i+1), 0 )  )          &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k),          &
                                               SQRT( 0.25_wp * dx**2 +            &
@@ -1488,16 +1491,16 @@
 !
 !--                   xy-distance (horizontal edges)
-                      IF ( .NOT. BTEST( wall_flags_0(k,j-1,i-1), 0 )  .OR.        &
-                           .NOT. BTEST( wall_flags_0(k,j+1,i-1), 0 )  .OR.        &
-                           .NOT. BTEST( wall_flags_0(k,j-1,i+1), 0 )  .OR.        &
-                           .NOT. BTEST( wall_flags_0(k,j+1,i+1), 0 ) )            &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k,j-1,i-1), 0 )  .OR.        &
+                           .NOT. BTEST( wall_flags_static_0(k,j+1,i-1), 0 )  .OR.        &
+                           .NOT. BTEST( wall_flags_static_0(k,j-1,i+1), 0 )  .OR.        &
+                           .NOT. BTEST( wall_flags_static_0(k,j+1,i+1), 0 ) )            &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k),           &
                                               SQRT( 0.25_wp * ( dx**2 + dy**2 ) ) )
 !
 !--                   xyz distance (vertical and horizontal edges, down)
-                      IF ( .NOT. BTEST( wall_flags_0(k-1,j-1,i-1), 0 )  .OR.      &
-                           .NOT. BTEST( wall_flags_0(k-1,j+1,i-1), 0 )  .OR.      &
-                           .NOT. BTEST( wall_flags_0(k-1,j-1,i+1), 0 )  .OR.      &
-                           .NOT. BTEST( wall_flags_0(k-1,j+1,i+1), 0 ) )          &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k-1,j-1,i-1), 0 )  .OR.      &
+                           .NOT. BTEST( wall_flags_static_0(k-1,j+1,i-1), 0 )  .OR.      &
+                           .NOT. BTEST( wall_flags_static_0(k-1,j-1,i+1), 0 )  .OR.      &
+                           .NOT. BTEST( wall_flags_static_0(k-1,j+1,i+1), 0 ) )          &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k),           &
                                               SQRT( 0.25_wp * ( dx**2 + dy**2 )   &
@@ -1505,8 +1508,8 @@
 !
 !--                   xyz distance (vertical and horizontal edges, up)
-                      IF ( .NOT. BTEST( wall_flags_0(k+1,j-1,i-1), 0 )  .OR.      &
-                           .NOT. BTEST( wall_flags_0(k+1,j+1,i-1), 0 )  .OR.      &
-                           .NOT. BTEST( wall_flags_0(k+1,j-1,i+1), 0 )  .OR.      &
-                           .NOT. BTEST( wall_flags_0(k+1,j+1,i+1), 0 ) )          &
+                      IF ( .NOT. BTEST( wall_flags_static_0(k+1,j-1,i-1), 0 )  .OR.      &
+                           .NOT. BTEST( wall_flags_static_0(k+1,j+1,i-1), 0 )  .OR.      &
+                           .NOT. BTEST( wall_flags_static_0(k+1,j-1,i+1), 0 )  .OR.      &
+                           .NOT. BTEST( wall_flags_static_0(k+1,j+1,i+1), 0 ) )          &
                          l_wall(k,j,i) = MIN( l_wall(k,j,i), l_grid(k),           &
                                               SQRT( 0.25_wp * ( dx**2 + dy**2 )   &
@@ -1550,5 +1553,5 @@
           DO  j = nysg, nyng
              DO  k = nzb+1, nzt-1
-                IF ( .NOT. BTEST( wall_flags_0(k,j,i), 0 ) .AND.  &
+                IF ( .NOT. BTEST( wall_flags_static_0(k,j,i), 0 ) .AND.  &
                      k > k_max_topo )  &
                    k_max_topo = k
@@ -1616,5 +1619,5 @@
 !
 !--                Start search only if (i/j/k) belongs to atmosphere
-                   IF ( BTEST( wall_flags_0(k,j,i), 0 )  )  THEN
+                   IF ( BTEST( wall_flags_static_0(k,j,i), 0 )  )  THEN
 !
 !--                   Reset topography within vicinity
@@ -1836,5 +1839,5 @@
 ! ------------
 !> Copy a subarray of size (kb:kt,js:jn,il:ir) centered around grid point
-!> (kp,jp,ip) containing the first bit of wall_flags_0 into the array
+!> (kp,jp,ip) containing the first bit of wall_flags_static_0 into the array
 !> 'vicinity'. Only copy first bit as this indicates the presence of topography.
 !------------------------------------------------------------------------------!
@@ -1861,5 +1864,5 @@
              DO  k = kb, kt
                 vicinity(k,j,i) = MERGE( 0, 1,               &
-                       BTEST( wall_flags_0(kp+k,jp+j,ip+i), 0 ) )
+                       BTEST( wall_flags_static_0(kp+k,jp+j,ip+i), 0 ) )
              ENDDO
           ENDDO
@@ -2260,5 +2263,5 @@
 !--    value is reduced by 90%.
        !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-       !$ACC PRESENT(e, tend, te_m, wall_flags_0) &
+       !$ACC PRESENT(e, tend, te_m, wall_flags_static_0) &
        !$ACC PRESENT(tsc(3:3)) &
        !$ACC PRESENT(e_p)
@@ -2270,5 +2273,5 @@
                                         )                                      &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                             BTEST( wall_flags_0(k,j,i), 0 )   &
+                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
                                           )
                 IF ( e_p(k,j,i) < 0.0_wp )  e_p(k,j,i) = 0.1_wp * e(k,j,i)
@@ -2377,5 +2380,5 @@
                                         )                                      &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                             BTEST( wall_flags_0(k,j,i), 0 )   &
+                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
                                           )
                 IF ( diss_p(k,j,i) < 0.0_wp )                                  &
@@ -2492,5 +2495,5 @@
                                   )                                            &
                                  * MERGE( 1.0_wp, 0.0_wp,                      &
-                                          BTEST( wall_flags_0(k,j,i), 0 )      &
+                                          BTEST( wall_flags_static_0(k,j,i), 0 )      &
                                         )
           IF ( e_p(k,j,i) <= 0.0_wp )  e_p(k,j,i) = 0.1_wp * e(k,j,i)
@@ -2559,5 +2562,5 @@
                                         )                                      &
                                         * MERGE( 1.0_wp, 0.0_wp,               &
-                                                BTEST( wall_flags_0(k,j,i), 0 )&
+                                                BTEST( wall_flags_static_0(k,j,i), 0 )&
                                                )
        ENDDO
@@ -2654,5 +2657,5 @@
     !$ACC PRIVATE(surf_s, surf_e) &
     !$ACC PRIVATE(dudx(:), dudy(:), dudz(:), dvdx(:), dvdy(:), dvdz(:), dwdx(:), dwdy(:), dwdz(:)) &
-    !$ACC PRESENT(e, u, v, w, diss, dd2zu, ddzw, km, wall_flags_0) &
+    !$ACC PRESENT(e, u, v, w, diss, dd2zu, ddzw, km, wall_flags_static_0) &
     !$ACC PRESENT(tend) &
     !$ACC PRESENT(surf_def_h(0:1), surf_def_v(0:3)) &
@@ -2714,5 +2717,5 @@
 !--                -1.0 for right-facing wall, 1.0 for left-facing wall
                    sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                                     BTEST( wall_flags_0(k,j-1,i), flag_nr ) )
+                                     BTEST( wall_flags_static_0(k,j-1,i), flag_nr ) )
                    dudy(k) = sign_dir * usvs / ( km_neutral + 1E-10_wp )
                    dwdy(k) = sign_dir * wsvs / ( km_neutral + 1E-10_wp )
@@ -2733,5 +2736,5 @@
 !--                -1.0 for right-facing wall, 1.0 for left-facing wall
                    sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                                     BTEST( wall_flags_0(k,j-1,i), flag_nr ) )
+                                     BTEST( wall_flags_static_0(k,j-1,i), flag_nr ) )
                    dudy(k) = sign_dir * usvs / ( km_neutral + 1E-10_wp )
                    dwdy(k) = sign_dir * wsvs / ( km_neutral + 1E-10_wp )
@@ -2752,5 +2755,5 @@
 !--                -1.0 for right-facing wall, 1.0 for left-facing wall
                    sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                                     BTEST( wall_flags_0(k,j-1,i), flag_nr ) )
+                                     BTEST( wall_flags_static_0(k,j-1,i), flag_nr ) )
                    dudy(k) = sign_dir * usvs / ( km_neutral + 1E-10_wp )
                    dwdy(k) = sign_dir * wsvs / ( km_neutral + 1E-10_wp )
@@ -2773,5 +2776,5 @@
 !--                -1.0 for right-facing wall, 1.0 for left-facing wall
                    sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                                     BTEST( wall_flags_0(k,j,i-1), flag_nr ) )
+                                     BTEST( wall_flags_static_0(k,j,i-1), flag_nr ) )
                    dvdx(k) = sign_dir * vsus / ( km_neutral + 1E-10_wp )
                    dwdx(k) = sign_dir * wsus / ( km_neutral + 1E-10_wp )
@@ -2792,5 +2795,5 @@
 !--                -1.0 for right-facing wall, 1.0 for left-facing wall
                    sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                                     BTEST( wall_flags_0(k,j,i-1), flag_nr ) )
+                                     BTEST( wall_flags_static_0(k,j,i-1), flag_nr ) )
                    dvdx(k) = sign_dir * vsus / ( km_neutral + 1E-10_wp )
                    dwdx(k) = sign_dir * wsus / ( km_neutral + 1E-10_wp )
@@ -2811,5 +2814,5 @@
 !--                -1.0 for right-facing wall, 1.0 for left-facing wall
                    sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                                     BTEST( wall_flags_0(k,j,i-1), flag_nr ) )
+                                     BTEST( wall_flags_static_0(k,j,i-1), flag_nr ) )
                    dvdx(k) = sign_dir * vsus / ( km_neutral + 1E-10_wp )
                    dwdx(k) = sign_dir * wsus / ( km_neutral + 1E-10_wp )
@@ -2886,5 +2889,5 @@
              IF ( def < 0.0_wp )  def = 0.0_wp
 
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),flag_nr) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),flag_nr) )
 
              IF ( .NOT. diss_production )  THEN
@@ -2950,5 +2953,5 @@
 !--                   Compute tendency for TKE-production from shear
                       DO  k = nzb+1, nzt
-                         flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                         flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                          tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                                        MERGE( rho_reference, prho(k,j,i),       &
@@ -2960,5 +2963,5 @@
 !--                   RANS mode: Compute tendency for dissipation-rate-production from shear
                       DO  k = nzb+1, nzt
-                         flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                         flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                          tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                                        MERGE( rho_reference, prho(k,j,i),       &
@@ -2978,5 +2981,5 @@
              !$ACC PRIVATE(surf_s, surf_e) &
              !$ACC PRIVATE(tmp_flux(nzb+1:nzt)) &
-             !$ACC PRESENT(e, diss, kh, pt, dd2zu, drho_air_zw, wall_flags_0) &
+             !$ACC PRESENT(e, diss, kh, pt, dd2zu, drho_air_zw, wall_flags_static_0) &
              !$ACC PRESENT(tend) &
              !$ACC PRESENT(surf_def_h(0:2)) &
@@ -3038,5 +3041,5 @@
                      !$ACC LOOP PRIVATE(k, flag)
                       DO  k = nzb+1, nzt
-                         flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                         flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                          tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                                        MERGE( pt_reference, pt(k,j,i),          &
@@ -3048,5 +3051,5 @@
 !--                   RANS mode: Compute tendency for dissipation-rate-production from shear
                       DO  k = nzb+1, nzt
-                         flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                         flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                          tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                                        MERGE( pt_reference, pt(k,j,i),          &
@@ -3253,5 +3256,5 @@
 !--                Compute tendency for TKE-production from shear
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                       tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                                     MERGE( vpt_reference, vpt(k,j,i),          &
@@ -3263,5 +3266,5 @@
 !--                RANS mode: Compute tendency for dissipation-rate-production from shear
                    DO  k = nzb+1, nzt
-                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                      flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                       tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /   &
                                     MERGE( vpt_reference, vpt(k,j,i),          &
@@ -3398,5 +3401,5 @@
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
              sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                               BTEST( wall_flags_0(k,j-1,i), flag_nr ) )
+                               BTEST( wall_flags_static_0(k,j-1,i), flag_nr ) )
              dudy(k) = sign_dir * usvs / ( km_neutral + 1E-10_wp )
              dwdy(k) = sign_dir * wsvs / ( km_neutral + 1E-10_wp )
@@ -3416,5 +3419,5 @@
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
              sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                               BTEST( wall_flags_0(k,j-1,i), flag_nr ) )
+                               BTEST( wall_flags_static_0(k,j-1,i), flag_nr ) )
              dudy(k) = sign_dir * usvs / ( km_neutral + 1E-10_wp )
              dwdy(k) = sign_dir * wsvs / ( km_neutral + 1E-10_wp )
@@ -3434,5 +3437,5 @@
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
              sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                               BTEST( wall_flags_0(k,j-1,i), flag_nr ) )
+                               BTEST( wall_flags_static_0(k,j-1,i), flag_nr ) )
              dudy(k) = sign_dir * usvs / ( km_neutral + 1E-10_wp )
              dwdy(k) = sign_dir * wsvs / ( km_neutral + 1E-10_wp )
@@ -3454,5 +3457,5 @@
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
              sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                               BTEST( wall_flags_0(k,j,i-1), flag_nr ) )
+                               BTEST( wall_flags_static_0(k,j,i-1), flag_nr ) )
              dvdx(k) = sign_dir * vsus / ( km_neutral + 1E-10_wp )
              dwdx(k) = sign_dir * wsus / ( km_neutral + 1E-10_wp )
@@ -3472,5 +3475,5 @@
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
              sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                               BTEST( wall_flags_0(k,j,i-1), flag_nr ) )
+                               BTEST( wall_flags_static_0(k,j,i-1), flag_nr ) )
              dvdx(k) = sign_dir * vsus / ( km_neutral + 1E-10_wp )
              dwdx(k) = sign_dir * wsus / ( km_neutral + 1E-10_wp )
@@ -3490,5 +3493,5 @@
 !--          -1.0 for right-facing wall, 1.0 for left-facing wall
              sign_dir = MERGE( 1.0_wp, -1.0_wp,                          &
-                               BTEST( wall_flags_0(k,j,i-1), flag_nr ) )
+                               BTEST( wall_flags_static_0(k,j,i-1), flag_nr ) )
              dvdx(k) = sign_dir * vsus / ( km_neutral + 1E-10_wp )
              dwdx(k) = sign_dir * wsus / ( km_neutral + 1E-10_wp )
@@ -3558,5 +3561,5 @@
        IF ( def < 0.0_wp )  def = 0.0_wp
 
-       flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),flag_nr) )
+       flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),flag_nr) )
 
        IF ( .NOT. diss_production )  THEN
@@ -3615,5 +3618,5 @@
 !--             Compute tendency for TKE-production from shear
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                    tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                                  MERGE( rho_reference, prho(k,j,i),       &
@@ -3625,5 +3628,5 @@
 !--             RANS mode: Compute tendency for dissipation-rate-production from shear
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                    tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                                  MERGE( rho_reference, prho(k,j,i),       &
@@ -3684,5 +3687,5 @@
 !--             Compute tendency for TKE-production from shear
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                    tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                                  MERGE( pt_reference, pt(k,j,i),          &
@@ -3694,5 +3697,5 @@
 !--             RANS mode: Compute tendency for dissipation-rate-production from shear
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                    tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                                  MERGE( pt_reference, pt(k,j,i),          &
@@ -3893,5 +3896,5 @@
 !--          Compute tendency for TKE-production from shear
              DO  k = nzb+1, nzt
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                 tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
                               MERGE( vpt_reference, vpt(k,j,i),          &
@@ -3903,5 +3906,5 @@
 !--          RANS mode: Compute tendency for dissipation-rate-production from shear
              DO  k = nzb+1, nzt
-                flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_0(k,j,i),0) )
+                flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_static_0(k,j,i),0) )
                 tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /   &
                               MERGE( vpt_reference, vpt(k,j,i),          &
@@ -3969,5 +3972,5 @@
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j) &
        !$ACC PRIVATE(l, l_stable, dvar_dz) &
-       !$ACC PRESENT(diss, e, var, wall_flags_0) &
+       !$ACC PRESENT(diss, e, var, wall_flags_static_0) &
        !$ACC PRESENT(dd2zu, l_grid, l_wall)
        DO  i = nxl, nxr
@@ -3999,5 +4002,5 @@
                 diss(k,j,i) = ( 0.19_wp + 0.74_wp * l / l_wall(k,j,i) )                &
                               * e(k,j,i) * SQRT( e(k,j,i) ) / l                        &
-                              * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                              * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
              ENDDO
@@ -4010,5 +4013,5 @@
       !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j) &
       !$ACC PRIVATE(l_stable, duv2_dz2, rif, dvar_dz) &
-      !$ACC PRESENT(diss, e, u, v, var, wall_flags_0) &
+      !$ACC PRESENT(diss, e, u, v, var, wall_flags_static_0) &
       !$ACC PRESENT(dd2zu, l_black, l_wall)
        DO  i = nxl, nxr
@@ -4057,5 +4060,5 @@
 
                 diss(k,j,i) = c_0**3 * e(k,j,i) * SQRT( e(k,j,i) ) / l_stable(k)     &
-                            * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                            * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
              ENDDO
@@ -4069,5 +4072,5 @@
 
     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-    !$ACC PRESENT(diss, e, km, tend, wall_flags_0) &
+    !$ACC PRESENT(diss, e, km, tend, wall_flags_static_0) &
     !$ACC PRESENT(ddzu, ddzw, rho_air_zw, drho_air)
     DO  i = nxl, nxr
@@ -4092,5 +4095,5 @@
                                          ) * dsig_e                                   &
                                            * MERGE( 1.0_wp, 0.0_wp,                   &
-                                                    BTEST( wall_flags_0(k,j,i), 0 ) ) &
+                                                    BTEST( wall_flags_static_0(k,j,i), 0 ) ) &
                           - diss(k,j,i)
 
@@ -4198,5 +4201,5 @@
           diss(k,j,i) = ( 0.19_wp + 0.74_wp * l / l_wall(k,j,i) )              &
                         * e(k,j,i) * SQRT( e(k,j,i) ) / l                      &
-                        * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                        * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
        ENDDO
 
@@ -4242,5 +4245,5 @@
        DO  k = nzb+1, nzt
           diss(k,j,i) = c_0**3 * e(k,j,i) * SQRT( e(k,j,i) ) / l_stable(k)     &
-                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
        ENDDO
 
@@ -4271,5 +4274,5 @@
                                    ) * dsig_e                                  &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 0 ) )&
+                                              BTEST( wall_flags_static_0(k,j,i), 0 ) )&
                                  - diss(k,j,i)
 
@@ -4334,5 +4337,5 @@
 !
 !--          Predetermine flag to mask topography
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
              tend(k,j,i) = tend(k,j,i) +                                       &
@@ -4390,5 +4393,5 @@
 !
 !--    Predetermine flag to mask topography
-       flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+       flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
 !
@@ -4451,5 +4454,5 @@
              DO  k = nzb+1, nzt
                 e(k,j,i) = MAX( e(k,j,i), e_min ) *                            &
-                        MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                        MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
              ENDDO
           ENDDO
@@ -4662,5 +4665,5 @@
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j) &
        !$ACC PRIVATE(dvar_dz, l, l_stable, l_v) &
-       !$ACC PRESENT(wall_flags_0, var, dd2zu, e, l_wall, l_grid, rmask) &
+       !$ACC PRESENT(wall_flags_static_0, var, dd2zu, e, l_wall, l_grid, rmask) &
        !$ACC PRESENT(kh, km, sums_l_l)
        DO  i = nxlg, nxrg
@@ -4694,5 +4697,5 @@
 
                 l_v(k) = MIN( l_wall(k,j,i), l_stable(k) )                      &
-                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 l = l_v(k)
 !
@@ -4719,5 +4722,5 @@
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j) &
        !$ACC PRIVATE(dvar_dz, duv2_dz2, l_stable, l_v, rif) &
-       !$ACC PRESENT(wall_flags_0, var, dd2zu, e, u, v, l_wall, l_black, rmask) &
+       !$ACC PRESENT(wall_flags_static_0, var, dd2zu, e, u, v, l_wall, l_black, rmask) &
        !$ACC PRESENT(kh, km, sums_l_l)
        DO  i = nxlg, nxrg
@@ -4767,5 +4770,5 @@
              !DIR$ IVDEP
              DO  k = nzb+1, nzt
-                l_v(k)    = l_stable(k) * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                l_v(k)    = l_stable(k) * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
                 km(k,j,i) = c_0 * l_v(k) * SQRT( e(k,j,i) )
                 kh(k,j,i) = km(k,j,i) / prandtl_number
@@ -4788,5 +4791,5 @@
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j) &
        !$ACC PRIVATE(l_v) &
-       !$ACC PRESENT(wall_flags_0, e, diss, rmask) &
+       !$ACC PRESENT(wall_flags_static_0, e, diss, rmask) &
        !$ACC PRESENT(kh, km, sums_l_l)
        DO  i = nxlg, nxrg
@@ -4799,5 +4802,5 @@
 
                 l_v(k) = c_0**3 * e(k,j,i) * SQRT(e(k,j,i)) / ( diss(k,j,i) + 1.0E-30_wp ) &
-                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
                 km(k,j,i) = c_0 * SQRT( e(k,j,i) ) * l_v(k)
